
               
<!doctype html>
<html lang="en">
  <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="description" content="">
        <meta name="author" content="gwikgwik">

        <script src="/__static/externals/jquery34.js"></script>
        <script src="/__js/import.js"></script>
    </head>
    <body class="w3-grey">


    <style type="text/css">
        #mynetwork {
width:100vw;
height:100vh;
            border: 1px solid lightgray;
        }


    </style>

<div id="mynetwork"></div>

        <script src="/__static/externals/jquery34.js"></script>
        <script src="/__js/import.js"></script>
<script type="text/javascript">
import_js('head',"/__static/externals/vis.js");
import_css('head',"/__static/externals/vis-network.min.css");
console.log("XXXXXXXXXXXXXXXXXX");
    // create an array with nodes
    var nodes = new vis.DataSet([
        {id: 1, label: 'intro'},
        {id: 11, label: 'chapitre 1'},
        {id: 12, label: 'chapitre 2'},
        {id: 13, label: 'chapitre 3'},
        {id: 14, label: 'chapitre 4'},
        {id: 15, label: 'chapitre 5'},
        {id: 16, label: 'chapitre 6'},
        {id: 17, label: 'chapitre 7'},
        {id: 18, label: 'chapitre 8'},
        {id: 19, label: 'chapitre 9'},

        {id: 2, label: 'chapitre 10 : l editeur'},

        {id: 3, label: 'chapitre 11 : kidnapping'},
        {id: 31, label: 'chapitre 12 : monstre de l infini'},
        {id: 32, label: 'chapitre 13 : la breche'},
        {id: 33, label: 'chapitre 14 : la nuit'},
        {id: 331, label: 'chapitre 15 : la fin d eca'},
        {id: 332, label: 'chapitre 16 : la fin de tout'},
        {id: 333, label: 'chapitre 15 : la porte'},
        {id: 334, label: 'chapitre 16 : final'},

        {id: 4, label: 'chapitre 11 : kidnapping'},
        {id: 41, label: 'chapitre 12 : monstre de l infini'},
        {id: 42, label: 'chapitre 13 : la breche'},
        {id: 43, label: 'chapitre 14 : la nuit'},
        {id: 44, label: 'chapitre 15 : la porte'},
        {id: 45, label: 'chapitre 16 : final'},

        {id: 5, label: 'chapitre 11 : reproche'},
        {id: 511, label: 'chapitre 12 : le calme'},
        {id: 512, label: 'chapitre 13 : un but commun'},
        {id: 513, label: 'chapitre 14 : vision'},
        {id: 514, label: 'chapitre 15 : le grand voyage'},
        {id: 515, label: 'chapitre 16 : combat final'},

        {id: 521, label: 'chapitre 12 : solitude'},
        {id: 522, label: 'chapitre 13 : une aide nouvelle'},
        {id: 523, label: 'chapitre 14 : le poison'},
        {id: 524, label: 'chapitre 15 : face cachée'},
        {id: 525, label: 'chapitre 16 : vengeance anja meurt'},
        {id: 526, label: 'chapitre 17 : fin auteur ment'},
        {id: 527, label: 'chapitre 16 : vengeance anja ne meurt pas'},
        {id: 528, label: 'chapitre 17 : fin auteur ne ment pas'},

        {id: 531, label: 'chapitre 12 : recommencement'},
        {id: 532, label: 'chapitre 13 : nouveau defi'},
        {id: 533, label: 'chapitre 14 : chapitre final'},
        {id: 534, label: 'chapitre 15 : chez nous'},
        {id: 535, label: 'chapitre 16 : je ne reviendrai pas'},
        {id: 536, label: 'chapitre 16 : le retour de sven'},

        {id: 6, label: 'fin'},
    ]);



    // create an array with edges
    var edges = new vis.DataSet([
        {from: 1, to: 11},
        {from: 11, to: 12},
        {from: 12, to: 13},
        {from: 13, to: 14},
        {from: 14, to: 15},
        {from: 15, to: 16},
        {from: 16, to: 17},
        {from: 17, to: 18},
        {from: 18, to: 19},
        {from: 19, to: 2},
        {from: 2, to: 3},
        {from: 2, to: 4},
        {from: 2, to: 5},
        {from: 3, to: 31},
        {from: 31, to: 32},
        {from: 33, to: 331},
        {from: 331, to: 332},
        {from: 33, to: 333},
        {from: 333, to: 334},
        {from: 32, to: 33},
        {from: 4, to: 41},
        {from: 41, to: 42},
        {from: 42, to: 43},
        {from: 43, to: 44},
        {from: 44, to: 45},
        {from: 5, to: 511},
        {from: 511, to: 512},
        {from: 512, to: 513},
        {from: 513, to: 514},
        {from: 514, to: 515},
        {from: 5, to: 521},
        {from: 521, to: 522},
        {from: 522, to: 523},
        {from: 523, to: 524},
        {from: 524, to: 525},
        {from: 525, to: 526},
        {from: 524, to: 527},
        {from: 527, to: 528},

        {from: 5, to: 531},
        {from: 531, to: 532},
        {from: 532, to: 533},
        {from: 533, to: 534},
        {from: 534, to: 535},
        {from: 534, to: 536},

        {from: 332, to: 6},
        {from: 334, to: 6},
        {from: 45, to: 6},
        {from: 515, to: 6},
        {from: 526, to: 6},
        {from: 528, to: 6},
        {from: 535, to: 6},
        {from: 536, to: 6},
    ]);

    // create a network
    var container = document.getElementById('mynetwork');

    // provide the data in the vis format
    var data = {
        nodes: nodes,
        edges: edges
    };
       var options = {
    edges: {
        width:4,
      color: {
    color:'white', highlight:'grey',
    },



    },
    nodes: {
      shape: 'box',
      margin: 10,
      font: {
        face:"geo",
        size: 45,
    color:'white',
      },
borderWidth:1,
    color:{border:"white",background:'rgba(0,0,0,1)',highlight:{border:"white",background:"rgba(0,0,0,1)"},}, 
    
      widthConstraint:300,
      heightConstraint:150,
    },
          layout: {
            hierarchical: {
              direction: "LR",
              sortMethod: "directed",
levelSeparation:400,
nodeSpacing:300,
parentCentralization:true,
            },
          },
  physics: {
    hierarchicalRepulsion: {
      nodeDistance: 300,
    }
  }
        };



    // initialize your network!
    var network = new vis.Network(container, data, options);

function handle(data){
    network.focus(data.nodes[0],{scale:0.6,animation:{duration:2000,}});

//nodes.update([{id:data.nodes[0], label:""}]);
    //$("#data").load("./bd.test/index.html");
};


network.on("click",handle);
console.log("network",network);


</script>

    <body>
</html>
